WhatPulse Forums
Why does WhatPulse does not load/auth/connnect on XP - Printable Version

+- WhatPulse Forums (http://whatpulse.org/forums)
+-- Forum: Community (/forumdisplay.php?fid=34)
+--- Forum: General Discussion (/forumdisplay.php?fid=52)
+--- Thread: Why does WhatPulse does not load/auth/connnect on XP (/showthread.php?tid=7848)



Why does WhatPulse does not load/auth/connnect on XP - flickACNH - 01-19-2020 03:52 PM

Greetings, I've recently got a computer that i decided to downgrade to XP for reasons.

However, i've recently noticed that the lastest version of WP doesn't work due to a API that was introduced in Vista (hense why i'm able to use whatpulse on vista in 2020), i tried to downgrade to 2.8.1 however it seems that connections are blocked (it says servers are down)?

It'll be unlikely for me to upgrade the computer to Vista/7/8.1/10, as that may put the computer into struggle.
Thank you.

-PF94

edit: remove emoticons, as for some reason, that didn't work.


RE: Why does WhatPulse does not load/auth/connnect on XP - LukeLR - 01-19-2020 04:38 PM

Did you think about installing linux? Windows XP is outdated for years now and it’ll easily be infected by a virus when connected to the internet. Linux, for example Lubuntu, installs just as easy as windows, and works the same way as windows regarding web surfing, email writing, watching videos, working on documents etc. It’s free, and a recent linux is faster than Windows XP and more secure than Windows 10. You might want to give it a try Smile


RE: Why does WhatPulse does not load/auth/connnect on XP - flickACNH - 01-19-2020 05:14 PM

I'm not a good Linux user. I installed Mint once and ditched it as WhatPulse installation instructions is too hard for me on Linux (it was on my aspire)

Also, regarding the "it’ll easily be infected by a virus when connected to the internet" part, i am not the person who clicks download on everything.


RE: Why does WhatPulse does not load/auth/connnect on XP - flickACNH - 01-24-2020 10:13 PM

Haven't got any replies other than a vague "install linux" message.

I used ubuntu sometime in 2018 and it was lame, it felt "off" to me and i really only used it to navigate the web with firefox, as the linux alternatives to the windows apps i use were ethier lamer, or had a steep learning curve, wine barely worked with most applications other than flash 8. and later in late-2019, as i already mentioned, i tried to install whatpulse on mint and it didn't worked or instructions were too confusing. i hope a patched-for-xp version of WP 2.8.4 comes out one day...


RE: Why does WhatPulse does not load/auth/connnect on XP - Agret - 06-12-2020 06:14 AM

Follow steps to remove security catalog:
https://www.rarst.net/software/failed-install-catalog-files/

Install XP Unofficial SP4
https://drive.google.com/file/d/0B7k-l_4omFECdmo0QXJNZUR0NWM/view?usp=sharing

Install XP Unofficial SP4 Update Roundup
https://drive.google.com/file/d/1tf1Zp4V9IYO4vndKTs9rp2M_6hNko8as/view?usp=sharing

This will make your XP as up to date as it can possibly be, has all POSReady updates until May 2019 when EOS hit for that version of XP too.

I can't recommend using XP in 2020 as even if as you say you don't go clicking Download buttons the Chrome & Firefox versions for XP are very old now and unsupported for quite some years so there will be many security exploits that can hit you without clicking anything just from compromised ad servers. I would suggest installing uBlock Origin if you can find a version for your old Firefox.

If you do want to upgrade that computer i'd suggest Windows 8.1 because even though Windows 10 runs alright on most older PCs it really bogs down the machine when the windows store apps are updating or when windows updates are downloading/updating in the background as they are really quite taxing on weak CPUs and will keep it at 100% CPU for half an hr or more during a few upgrades. Windows 8.1 doesn't have that many updates released for it and there is not as many pre-installed store apps to bog down the machine.


RE: Why does WhatPulse does not load/auth/connnect on XP - FamilienVater - 06-19-2020 10:11 PM

The network stack of Windows XP is outdated in a lot of aspects. I would suspect one of two possible issues being the culprit:
1. SNI (Server Name Indication) -- that's a feature that in 2009 only iOS and WinXP didn't support. It allows you to host multiple SSL/TLS certificates behind one IP address. Without SNI you'd need an IP address per certificate which would become ridiculously expensive.
2. SSL/TLS above a certain version -- TLS/1.2 and below and a few algorithms are considered broken or at least insecure and are therefore disallowed in most server configs.

Since most software builds upon the network stack of windows instead of implementing the stuff itself, not much one can do.

Business with customers who might use such outdated operating systems etc. (in big corporations and banks, they are very slow with rolling out new software) kept those features/settings compatible as long as possible, but since IP addresses are limited and far from everybody has IPv6. And TLS is simply a security thing for all users plus the infrastructure on the service provider side. Something you just don't want to keep around for just a few users.

And about Win8.1 vs. Win10 -- Around Christmas I "upgraded" the laptop of my parents in law from a completely unusably slow Win8.1 to a fresh Win10. With the latter, the machine was almost like new. I'd prefer that always.


RE: Why does WhatPulse does not load/auth/connnect on XP - flickACNH - 06-20-2020 07:08 PM

Hello, I do not currently have access to the laptop which was running Windows XP. It is not my main computer, you do not have to worry about that. I am considering to install something else on that laptop once i get access to it later this year.

I have moved on from trying to use outdated versions. All of my computers will at least run 8.1 or 10.

As of the browser I was using on the computer. It wasn't a outdated version of Firefox (ESR 52). I was using a custom version of the Pale Moon browser I got from GitHub that was named MyPal.